
Figure - Bug #117902
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】taptap，双击其mini小窗，应用崩溃
2023-05-12 14:06 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-12

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103(X103)

Resolution: DUPLICATE Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开taptap小窗

2、切换至mini模式

3、双击mini小窗

【预期结果】

3、小窗变为全屏显示

【实际结果】

3、应用崩溃

或者有可能正常全屏，此时可以去recent中点击taptap卡片的小窗按钮，应用崩溃

Related issues:

Related to Figure - Bug # 117891: 【IOVDEV-27259】【内部】【VC1】... CLOSED 2023-05-11

History

#1 - 2023-05-12 14:19 - CD FW 曹覃刚

错误日志

05-12 13:48:19.467  4097  4097 E AndroidRuntime: FATAL EXCEPTION: main

05-12 13:48:19.467  4097  4097 E AndroidRuntime: Process: com.taptap, PID: 4097

05-12 13:48:19.467  4097  4097 E AndroidRuntime: java.lang.RuntimeException: All children of ConstraintLayout must have ids to use ConstraintSet

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at androidx.constraintlayout.widget.ConstraintSet.readFallback(ConstraintSet.java:620)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at androidx.constraintlayout.motion.widget.MotionScene.readConstraintChain(MotionScene.java:1844)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at androidx.constraintlayout.motion.widget.MotionScene.readFallback(MotionScene.java:1797)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at androidx.constraintlayout.motion.widget.MotionLayout.onAttachedToWindow(MotionLayout.java:4154)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.view.View.dispatchAttachedToWindow(View.java:20757)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3490)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)
05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3497)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.view.ViewGroup.addViewInner(ViewGroup.java:5290)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.view.ViewGroup.addView(ViewGroup.java:5076)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at com.android.internal.widget.DecorCaptionView.addView(DecorCaptionView.java:348)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.view.ViewGroup.addView(ViewGroup.java:5048)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at com.android.internal.policy.DecorView.updateDecorCaptionStatus(DecorView.java:2270)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at com.android.internal.policy.DecorView.onConfigurationChanged(DecorView.java:2217)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at com.android.internal.policy.PhoneWindow.onMultiWindowModeChanged(PhoneWindow.java:770)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.app.Activity.dispatchMultiWindowModeChanged(Activity.java:8377)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.app.ActivityThread.handleWindowingModeChangeIfNeeded(ActivityThread.java:5981)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.app.ActivityThread.performActivityConfigurationChanged(ActivityThread.java:5839)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.app.ActivityThread.performConfigurationChangedForActivity(ActivityThread.java:5816)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.app.ActivityThread.handleActivityConfigurationChanged(ActivityThread.java:6105)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at

android.app.servertransaction.ActivityConfigurationChangeItem.execute(ActivityConfigurationChangeItem.java:55)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.app.servertransaction.ActivityTransactionItem.execute(ActivityTransactionItem.java:45)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:135)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:106)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

05-12 13:48:19.467  4097  4097 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

#2 - 2023-05-12 14:25 - CD FW 曹覃刚

- Status changed from New to NEED_INFO

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Need_Info changed from -- to TEST

Hi 永红

这个问题与 #117891 是同件

应用没有适配小窗导致，无法在系统侧修改，请确认

#3 - 2023-05-12 14:38 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to DUPLICATE
5.12

确认和117891相同，在117891中跟踪，先关闭此票

#4 - 2023-05-12 14:39 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#5 - 2023-05-12 14:39 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

1359.txt 3.8 MB 2023-05-12 CD TEST-方永红

Phone-1A2212290000002271 2023-05-12 14-05-39.mp4 4.65 MB 2023-05-12 CD TEST-方永红
